package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppletServiceLog;

/**
 * 服务记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface AppletServiceLogMapper 
{
    /**
     * 查询服务记录
     * 
     * @param id 服务记录主键
     * @return 服务记录
     */
    public AppletServiceLog selectAppletServiceLogById(Long id);

    /**
     * 查询服务记录列表
     * 
     * @param appletServiceLog 服务记录
     * @return 服务记录集合
     */
    public List<AppletServiceLog> selectAppletServiceLogList(AppletServiceLog appletServiceLog);

    /**
     * 新增服务记录
     * 
     * @param appletServiceLog 服务记录
     * @return 结果
     */
    public int insertAppletServiceLog(AppletServiceLog appletServiceLog);

    /**
     * 修改服务记录
     * 
     * @param appletServiceLog 服务记录
     * @return 结果
     */
    public int updateAppletServiceLog(AppletServiceLog appletServiceLog);

    /**
     * 删除服务记录
     * 
     * @param id 服务记录主键
     * @return 结果
     */
    public int deleteAppletServiceLogById(Long id);

    /**
     * 批量删除服务记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppletServiceLogByIds(Long[] ids);
}
